AISP

get/accounts/{accountResourceId}/owners

Retrieval of an account owners (AISP)

OAuth2 scope: aisp

Parameters (19)

  • Authorizationheaderstringrequired

    Access token to be passed as a header

  • accountResourceIdpathstringrequired

    Identification of account resource to fetch

  • PSU-IP-Addressheaderstring

    IP address used by the PSU's terminal when connecting to the TPP

  • PSU-IP-Portheaderstring

    IP port used by the PSU's terminal when connecting to the TPP

  • PSU-HTTP-Methodheaderstring

    Http method for the most relevant PSU's terminal request to the TTP

  • PSU-Dateheaderstring

    Timestamp of the most relevant PSU's terminal request to the TTP

  • PSU-GEO-Locationheaderstring

    Geographical location of the PSU as provided by the PSU mobile terminal if any to the TPP

  • PSU-User-Agentheaderstring

    "User-Agent" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Refererheaderstring

    "Referer" header field sent by the PSU terminal when connecting to the TPP. Notice that an initial typo in RFC 1945 specifies that "referer" (incorrect spelling) is to be used. The correct spelling "referrer" can be used but might not be understood.

  • PSU-Acceptheaderstring

    "Accept" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Charsetheaderstring

    "Accept-Charset" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Encodingheaderstring

    "Accept-Encoding" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Languageheaderstring

    "Accept-Language" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Device-IDheaderstring

    UUID (Universally Unique Identifier) for a device, which is used by the PSU, if available. UUID identifies either a device or a device dependant application installation. In case of installation identification this ID need to be unaltered until removal from device.

  • Digestheaderstring

    Digest of the body

  • Signatureheaderstring

    http-signature of the request The keyId must specify the way to get the relevant qualified certificate. It is requested that this identifier is an URL aiming to provide the relevant Qualified Certificate.

  • X-Request-IDheaderstringrequired

    Correlation header to be set in a request and retrieved in the relevant response

  • workspacequerystring

    Workspace to be used for processing an AISP request. If not provided, the default workspace is computed from the authentication that was used for getting the OAuth2 Access Token.

  • X-JWS-Signatureheaderstring

Responses

200

Account owners identities response

Halobject

HalOwners

HYPERMEDIA structure used for returning the identities of the account owners. These owners are either real persons or a company.

  • in the first case, the [identities] block must be used
  • in the second cas, the [company] property specifies the identity of the company owning the account.

Fields (3)

  • companyGenericIdentification

    Schema: GenericIdentification

    • identificationstringrequired

      API: Identifier

      API: Identifier

      Constraints: maxLength: 70

    • schemeNamestringrequired

      Name of the identification scheme.

      Name of the identification scheme. Possible values for the scheme name, partially based on ISO20022 external code list, are the following:

      CodeNameDescription
      BANKBankPartyIdentificationUnique and unambiguous assignment made by a specific bank or similar financial institution to identify a relationship as defined between the bank and its client.
      BBANBBANIdentifierBasic Bank Account Number (BBAN) - identifier used nationally by financial institutions, ie, in individual countries, generally as part of a National Account Numbering Scheme(s), to uniquely identify the account of a customer.
      COIDCountryIdentificationCode) : Country authority given organisation identification (e.g., corporate registration number)
      SRENSIRENThe SIREN number is a 9 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation in France.
      SRETSIRETThe SIRET number is a 14 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation unit in France. It consists of the SIREN number, followed by a five digit classification number, to identify the local geographical unit of that entity.
      NIDNNationalIdentityNumberNumber assigned by an authority to identify the national identity number of a person.
      Other values are also permitted, for instance:
      CodeNameDescription
      -------------------
      OAUTOAUTH2OAUTH2 access token that is owned by the PISP being also an AISP and that can be used in order to identify the PSU
      CPANCardPanCard PAN
      MPANMaskedPanCard PAN where some digits were replaced for security reason
      TPANTokenizedPanToken which was provided by a Token Service Provider (TSP) in order to obfuscate a real card PAN. The TSP must be identified in the issuer field
      TBANTokenizedIBANToken which was provided by a Token Service Provider (TSP) in order to obfuscate an IBAN. The TSP must be identified in the issuer field
      Each implementation of the STET PSD2 API must specify in its own documentation which schemes can actually been used

      Constraints: maxLength: 70

    • issuerstring

      ISO20022: Entity that assigns the identification. this could a country code or any organisation name or identifier that can be recognized by both parties

      ISO20022: Entity that assigns the identification. this could a country code or any organisation name or identifier that can be recognized by both parties

      Constraints: maxLength: 35

  • identitiesarray<Identity>

    identity of the account owners.

    identity of the account owners.

    Item: Identity

    • fullNamestringrequired

      Last name and first name

      Last name and first name

      Constraints: maxLength: 140

    • namePrefixNamePrefixCode

      Schema: NamePrefixCode

      CodeNameDescription
      DOCT
      Doctor
      MADM
      Madam
      MISS
      Miss
      MIST
      Mister
    • firstNamestring

      First name

      First name

      Constraints: maxLength: 70

    • lastNamestring

      Last name

      Last name

      Constraints: maxLength: 70

204

No content.

Shared response definition: 204

400

Invalid status value

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

401

Unauthorized, authentication failure.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

403

Forbidden, authentication successful but access to resource is not allowed.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

404

Not found, no request available.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

405

Method Not Allowed.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

406

Not Acceptable.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

408

Request Timeout.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

429

Too many requests.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

500

Internal server error.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

503

Service unavailable.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

Schemas used by this endpoint

Every structure referenced by this operation, listed once. Cross-references resolve to anchors on this page.

Technicalobject

ErrorDetail

detailed error description

Fields (9)

  • locationstringenum · 2

    Location of the erroneous parameter when not in request body

    CodeNameDescription
    header
    query
  • namestring

    Name of the erroneous parameter when not in request body

  • pathstring

    JsonPath of the erroneous request body property

  • erroneousValuestring

    Erroneous parameter value

  • messagestring

    Relevant message for the erroneous parameter

  • expectedPatternstring

    Expected pattern, if any, that the erroneous parameter does not match with

  • expectedValueRangeobject

    Expected value range, if any, that the erroneous parameter does not match with

  • expectedValueCountobject

    Expected value count, in the case of an array item, that the erroneous parameter does not match with

  • expectedEnumerationarray<string>

    Expected enumeration, if any, that the erroneous parameter do not match with

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item schema: ErrorDetail

ISO20022object§ 4.1.6 · PDF p. 14

GenericIdentification

ISO20022: Unique identification of an account, a person or an organisation, as assigned by an issuer. API: The ASPSP will document which account reference type it will support.

Fields (3)

  • identificationstringrequired

    API: Identifier

    API: Identifier

    Constraints: maxLength: 70

  • schemeNamestringrequired

    Name of the identification scheme.

    Name of the identification scheme. Possible values for the scheme name, partially based on ISO20022 external code list, are the following:

    CodeNameDescription
    BANKBankPartyIdentificationUnique and unambiguous assignment made by a specific bank or similar financial institution to identify a relationship as defined between the bank and its client.
    BBANBBANIdentifierBasic Bank Account Number (BBAN) - identifier used nationally by financial institutions, ie, in individual countries, generally as part of a National Account Numbering Scheme(s), to uniquely identify the account of a customer.
    COIDCountryIdentificationCode) : Country authority given organisation identification (e.g., corporate registration number)
    SRENSIRENThe SIREN number is a 9 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation in France.
    SRETSIRETThe SIRET number is a 14 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation unit in France. It consists of the SIREN number, followed by a five digit classification number, to identify the local geographical unit of that entity.
    NIDNNationalIdentityNumberNumber assigned by an authority to identify the national identity number of a person.
    Other values are also permitted, for instance:
    CodeNameDescription
    -------------------
    OAUTOAUTH2OAUTH2 access token that is owned by the PISP being also an AISP and that can be used in order to identify the PSU
    CPANCardPanCard PAN
    MPANMaskedPanCard PAN where some digits were replaced for security reason
    TPANTokenizedPanToken which was provided by a Token Service Provider (TSP) in order to obfuscate a real card PAN. The TSP must be identified in the issuer field
    TBANTokenizedIBANToken which was provided by a Token Service Provider (TSP) in order to obfuscate an IBAN. The TSP must be identified in the issuer field
    Each implementation of the STET PSD2 API must specify in its own documentation which schemes can actually been used

    Constraints: maxLength: 70

  • issuerstring

    ISO20022: Entity that assigns the identification. this could a country code or any organisation name or identifier that can be recognized by both parties

    ISO20022: Entity that assigns the identification. this could a country code or any organisation name or identifier that can be recognized by both parties

    Constraints: maxLength: 35

Halobject

HalOwners

HYPERMEDIA structure used for returning the identities of the account owners. These owners are either real persons or a company.

  • in the first case, the [identities] block must be used
  • in the second cas, the [company] property specifies the identity of the company owning the account.

Fields (3)

  • companyGenericIdentification
  • identitiesarray<Identity>

    identity of the account owners.

    identity of the account owners.

    Item schema: Identity

Iso20022object

Identity

HYPERMEDIA structure used for returning the identity of the PSU

Fields (4)

  • fullNamestringrequired

    Last name and first name

    Last name and first name

    Constraints: maxLength: 140

  • namePrefixNamePrefixCode
  • firstNamestring

    First name

    First name

    Constraints: maxLength: 70

  • lastNamestring

    Last name

    Last name

    Constraints: maxLength: 70

ISO20022string

NamePrefixCode

Specifies the terms used to formally address a person. This field accepts the following code values

CodeNameDescription
DOCT
Doctor
MADM
Madam
MISS
Miss
MIST
Mister